Una vulnerabilidad recientemente descubierta en un conjunto de chips Wi-Fi podría explotarse para secuestrar los dispositivos sin el conocimiento de sus usuarios.

Un investigador de Google reveló públicamente el error en una entrada de blog esta semana, que acompañó a las noticias de Apple y Google que están reparando estos dispositivos como respuesta.

El investigador demuestra cómo explotó un SoC Wi-Fi fabricado por Broadcom para ejecutar código malicioso. No se requiere interacción del usuario. Este ataque es un poco aterrador porque el hardware del chipset está en un montón de teléfonos, incluyendo el Nexus 5, 6 y 6P, así como la mayoría de los dispositivos estrella de Samsung y todos los iPhones desde el iPhone 4.

En el lado positivo: Broadcom está respondiendo a Beniamini y está trabajando con él para mitigar el problema en el futuro. Apple también ya corrigió el error con el lanzamiento de iOS 10.3.1 el lunes, y Google lo corrigió en su versión de seguridad de abril.

Las malas noticias, sin embargo, son que aunque Google haya publicado una corrección, muchos dispositivos Android se quedan atrás cuando se habla de actualizaciones y parches. Más a menudo que no, los fabricantes individuales o las compañías tienen que ejecutar las actualizaciones de Android manualmente. Y esto no ocurre tan a menudo como debería, lo que deja a muchos dispositivos en peligro. La única manera de recibir definitivamente todas las actualizaciones de seguridad de Android es desbloqueado los dispositivos.

Más información: Ars Technica, desarrollo de aplicaciones.